Beta
Kategorien
  • Bausteine
  • Bilder
  • Frontend
  • Social
Beste Bewertung
Neuerscheinungen
logo

QUIQQER - Verifikation

quiqqer/verification

Beschreibung

Verifiziere beliebige Benutzer-Handlungen mit einer speziellen URL mit einizigartigem Hashwert (Nutzerregistrierung, Newsletter opt-in etc.)

Das QUIQQER Verifizierungs-Plugin ermöglicht die Verifizierung von Benutzer-Handlungen über einen Link. Dies kann z.B. dafür verwendet werden, die E-Mail-Adresse für ein Benutzerkonto zu bestätigen oder die Löschung eines Benutzerkontos. Verifizierungs-Links können z.B. per E-Mail an den Benutzer versandt werden.

Für jeden Verifizierungs-Typ muss eine eigene Klasse implementiert werden (s. "Usage" in der README). Jede Verifizierung kann im Falle des Erfolgs oder Misserfolgs (z.B. wenn der Link nicht den korrekten Hash enthält) eine separate Nachricht anzeigen oder auf eine Seite weiterleiten.

Features

  • Individuelle Verifizierungs-Klassen erstellen, die eigenständig beliebige Verifizierungs-Prozesse steuern
  • Beim Start eines Verifizierungs-Prozesses wird ein einzigartiger Link erzeugt, der dem Benutzer gesendet werden kann
  • Durch Klick auf den Link verifiziert der Benutzer den jeweiligen Vorgang
  • Jede Verifizierung kann auf Erfolg oder Misserfolg reagieren
  • Jeder Verifizierungs-Vorgang ist durch ein eindeutige ID und einen eindeutigen Hash gekennzeichnet


Seiten-Typen

  • types/verifier - Seite, auf die initial geleitet wird, wenn ein Verifizierungs-Link besucht wird (muss angelegt sein, damit Verifizierungen funktionieren!)


Crons

  • Automatisches Löschen von nicht verifizierten Verifizierungs-Vorgängen nach X Tagen (Einstellung)

Paket installieren

Für die Installation von Version "1.0.0" dieses Pakets müssen folgende andere Pakete in den angegebenen Versionen bereits auf Ihrem System installiert sein:

  • QUIQQER: >=1.1|dev-master|dev-dev

Für die Installation der aktuellen Version (1.1.0) dieses Pakets müssen folgende andere Pakete in den angegebenen Versionen bereits auf Ihrem System installiert sein:

  • QUIQQER: >=1.1|dev-master|dev-dev

Für die Installation von Version "dev-dev" dieses Pakets müssen folgende andere Pakete in den angegebenen Versionen bereits auf Ihrem System installiert sein:

  • QUIQQER: >=1.1|dev-master|dev-dev

Für die Installation von Version "dev-master" dieses Pakets müssen folgende andere Pakete in den angegebenen Versionen bereits auf Ihrem System installiert sein:

  • QUIQQER: >=1.1|dev-master|dev-dev

Weitere Informationen

Paket-Typ

Plugin

Aktuelle Version

1.1.0

Lizenz

PCSG QL-1.0, CC BY-NC-SA 4.0
Lizenz anzeigen

Rechteinhaber

PCSG - Computer & Internet Service OHG

Neueste